services:
  newsnow:
    image: ghcr.io/ourongxing/newsnow:v0.0.39
    container_name: ${CONTAINER_NAME}
    networks:
      - opsmind-network
    ports:
      - '${PANEL_APP_PORT_HTTP}:4444'
    volumes:
      - './data:/usr/app/.data'
    environment:
      - HOST=0.0.0.0
      - PORT=4444
      - NODE_ENV=production
      - G_CLIENT_ID=${G_CLIENT_ID}
      - G_CLIENT_SECRET=${G_CLIENT_SECRET}
      - JWT_SECRET=${JWT_SECRET}
      - INIT_TABLE=${INIT_TABLE}
      - ENABLE_CACHE=${ENABLE_CACHE}
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
